V8Js::registerExtension
V8JsException::getJsFileName
V8js
PHP Manual

# The V8JsException class

(PECL v8js >= 0.1.0)

## Introduction

## Class synopsis

V8JsException extends Exception {
/* Properties */
protected $JsFileName ;
protected $JsLineNumber ;
protected $JsSourceLine ;
protected $JsTrace ;
/* Inherited properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Methods */
final public string getJsFileName ( void )
final public int getJsLineNumber ( void )
final public string getJsSourceLine ( void )
final public string getJsTrace ( void )
/* Inherited methods */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public mixed Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

## Properties

JsFileName

JsLineNumber

JsSourceLine

JsTrace

## Table of Contents

- V8JsException::getJsFileName — The getJsFileName purpose
- V8JsException::getJsLineNumber — The getJsLineNumber purpose
- V8JsException::getJsSourceLine — The getJsSourceLine purpose
- V8JsException::getJsTrace — The getJsTrace purpose

V8Js::registerExtension
V8JsException::getJsFileName
V8js
PHP Manual